<?
ob_start();
session_start();
if(isset($_SESSION['ses_name']))
{
$user=$_SESSION['ses_name'];
}else{
header("location:index.php");
}


$veh_num='';
$sdate_12 ='';
$page='1';
include("include/config.php");
require_once "include/Database_functions.php";
$sqlObj=new sqlclass();
$msg = '';

?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>OIL FILL</title>
<link href="css/styles.css" rel="stylesheet"  />
<link href="css/menu.css" rel="stylesheet" type="text/css" />
<script type='text/javascript' src="https://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>


<script src="js/popup1.js" type="text/javascript"></script>


<script type='text/javascript' src="js/jquery.autocomplete.js"></script>
<link rel="stylesheet" type="text/css" href="js/jquery.autocomplete.css" />

<script type="text/javascript">
$().ready(function() {
	$("#regowner").autocomplete("autoCompleterestaurant.php", {
		width: 260,
		matchContains: true,
		//mustMatch: true,
		//minChars: 0,
		//multiple: true,
		//highlight: false,
		//multipleSeparator: ",",
		selectFirst: false
	});
});

</script>
<script language="javascript">
function getXMLHTTP()
	 { //fuction to return the xml http object
	var xmlhttp=false;	
		try
		{
		xmlhttp=new XMLHttpRequest();
		}
		catch(e)	
		{		
			try{			
				xmlhttp= new ActiveXObject("Microsoft.XMLHTTP");
				}
			catch(e)
			{
				try
				{
				xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch(e1)
				{
				xmlhttp=false;
				}
			}
		}
	return xmlhttp;
	}   


function Searchdate(val)
{ 
 	 var page=val;	
	 var vehicle_no='';
     var gear_oil='';
	 
	 	 	
	 if(document.search_frm.vehicle_no){
	 vehicle_no= document.search_frm.vehicle_no.value;
	 }
	 
	 if(document.search_frm.gear_oil){
	 gear_oil= document.search_frm.gear_oil.value;
	 }
	 
	 
	
	var strURL="ajax/vehicle_gearoil_data.php?&page="+page;
	if(vehicle_no!=''){
	strURL+="&vehicle_no="+vehicle_no;
	}
	
	if(gear_oil!=''){
	strURL+="&gear_oil="+gear_oil;
	}
			
		
	//alert(strURL);
	var req = getXMLHTTP();
   if (req)
   {
     req.onreadystatechange = function()
     {
		 
			if ((req.readyState == 0)||(req.readyState == 1)||(req.readyState == 2)||(req.readyState == 3))
      		{
			//document.getElementById('order').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			//document.getElementById('Cakeorder').innerHTML='<div align="center"><img src="'+path+'images/ajax_loader.gif"/></div>';
			}
		 
		 
      if (req.readyState == 4)
      {
	 // only if "OK"
	 	if (req.status == 200)
	 	{ 
	   document.getElementById('list').innerHTML=req.responseText;
	//	document.getElementById('Cakeorder').innerHTML=req.responseText;
	 	}
	  else 
	 	{
   	   alert("There was a problem while using XMLHTTP:\n" + req.statusText);

	 }
     }
     }
   req.open("GET", strURL, true);
   req.send(null);
   }
 
   
}
</script>
</head>

<body>

<!------------------popup area (view, edit)--------------->

<div class="viewEmployeePopup login-popup"  id="login-box" style="width:400px;height:400px;">
<a href="#" class="close"><img src="images/close.png" class="btn_close" title="Close Window" alt="Close" /></a>
   <div id="popupid"></div>
   
     
    </div>

<!---------------popup area ends------------------>
<div class="wrapper">
 <div>
<?php 
	include("header.php");	
?>
 
</div>
 
 <div class="tabbedArea">
  
  <div class="tabBody">
   <h1>Vehicle Gear Oil Notifaction </h1>
   <form name="search_frm" id="search_frm" method="post"  >
   <div class="searchBox" style="width:93%; margin-right:0px;  padding:0px; ">
   <div style="padding:20px;">
    <div class="searchField">
     <p class="input1">Vehicle No</p>
     <input type="text" name="vehicle_no" id="vehicle_no" class="input1" style="width:100px;" />
    </div>
	
	<!--<div class="searchField" style="padding-left:10px;">
     <p class="input1">Status</p>
     <select name="gear_oil" class="input1">
         <option value="">-Status-</option>
         <option value="Expired">Expired</option>
         <option value="upcoming">Upcoming</option>         
     </select>
    </div>-->
    
    <div class="searchField">
     <input name="button" type="button" class="input1" onClick="Searchdate(1);" value="search" />
     
   
    </div>
    
</div>
    
   </div>
   </form>
   <div id="list">
   <table  border="0" cellspacing="0" cellpadding="0" class="tableList" style="width:93%;">
  <tr class="heading">
    <td>No</td>    
    <td>Vehicle Number</td>
    <td>Manufacture</td>  
    <td>Capacity</td>  
    <td>Present Km</td>
	<td>Gearoil Changed Km</td>
	<td>Upcoming Change Km</td>
	<td>Gearoil Status</td>       
    <td>Edit</td>
  </tr>
  
  <?php
if(isset($_REQUEST['todate_12'])){
$sdate_12=$_REQUEST['todate_12'];
$todate_12=explode("-",$sdate_12);
$sdate=$todate_12[2].'-'.$todate_12[1].'-'.$todate_12[0];
}

$typenames='';
$model ='';
$regowner='';

//$_SESSION['ses_name'];
if(isset($_REQUEST['veh_num'])){
$veh_num=$_REQUEST['veh_num'];
}

if(isset($_REQUEST['servicestat'])){
$servstat=$_REQUEST['servicestat'];
}



$i=1;
$sq_arr="select * from cf_vehicle where 1 ";

if(($_SESSION['typename'] == 'SuperAdmin')) {
	$sq_arr="select * from cf_vehicle where open_km > (gear_change+gear-1000) and open_km > 0 and gear_change > 0 and gear > 0";	
}

/*if(($_SESSION['typename'] == 'SubAdmin')) {
	$sesname = $_SESSION['ses_name'];
	$userids = $_SESSION['admin_id'];
	
	$sq_user1 = mysql_query("select cf_client.client_sub_id from cf_user_clientid join cf_client on cf_user_clientid.client_code = cf_client.client_newcode where cf_user_clientid.user_id = '$userids' ");
	$rw1=mysql_fetch_array($sq_user1);
	$clientsubid = $rw1['client_sub_id'];
	
	$sq_arr="select * from cf_vehicle where  vehclient_ids = $clientsubid  "; 	
}*/



if($veh_num!=''){
$sq_arr.=" and vehiclenum like '%".$veh_num."%' ";
}


/*if($typenames!=''){
$sq_arr.=" and type like '%".$typenames."%' ";
}

if($model!=''){
$sq_arr.=" and manufacture like '%".$model."%' ";
}

if($regowner!=''){
$sq_arr.=" and regowner like '%".$regowner."%' ";
}*/

/*if($sdate_12!=''){
$sq_arr.=" and date='".$sdate."' ";
}*/
$sq_arr.=" order by id desc ";
$query=$sq_arr;
//echo $query;
$function="Searchdate";
include("paging.php");
$sq_arr.=" LIMIT $start, $limit";

if(isset($_REQUEST['page'])){
$page=$_REQUEST['page'];
}else{
$page=10;
}

$array=mysql_query($sq_arr);
if($array && mysql_num_rows($array)>0){
while($res=mysql_fetch_array($array))
{

$dd=date("m-d-Y",strtotime($res['add_date']));

		$insval = '';
		$openkm = $res['open_km'];
		$gear = $res['gear'];
		$gear_change = $res['gear_change'];
		$gearval = $gear+$gear_change;
  ?> 
  <tr>
    <td><?php echo $res['id'];?></td>
    
    <td><a href="#login-box" class="login-window"  data-id=<?php echo $res['id'];?>><?php echo $res['vehiclenum'];?></a></td>
    <td><?php if($res['manufacture']!='')echo $res['manufacture'];else echo '--'; ?></td>
    <td><?php if($res['maxcapacity']!='')echo $res['maxcapacity'];else echo '--'; ?></td>
    <td><?php if($res['open_km']!='')echo $res['open_km'];else echo '--'; ?></td>
	  <td><?php if($res['gear_change']!='')echo $res['gear_change'];else echo '--'; ?></td>
	   <td><?php echo $gearval; ?></td>
	 <?php 
		
		
		if($openkm > $gearval)
		   {
				$insval =  "Expired";
		   }
		   else
		   {
		   		$insval =  "Upcoming";
		   }
	?>    
    <td><?php echo $insval;?></td>
   
    
    
   <td align="center" class="tr_td_b"><a href="vechicle-details-entry.php?page=<?php echo $page; ?>&id=<?php echo $res['id']; ?>&ab=<?php echo $i;?>"><img src="images/edit.png" title="edit"></a></td>
   
  </tr>
  <?php 
    }}
  ?>
 
</table>

  <div align="right" style="padding-top:10px;"><?=$pagination?></div> 
  </div>
  </div>
 </div>
 <div class="footer"><p>Powered by <a href="http://www.aadhocc.co.uk/" target="_blank">Aadhocc</a></p></div>
 
</div>
<div class="quicLInksCover">
 <?php 
	include("leftlink.php");
?>

</div>
</body>
</html>
